> For the complete documentation index, see [llms.txt](https://api.clearinghouse.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.clearinghouse.net/api-reference-v2p1/endpoints/summary-author.md).

# Summary Author

### Get cases by summary author (name search or author ID).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2p1/cases/?summary_author=name_or_id`

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

This parameter accepts either a **name string** or a **numeric author ID**.

**Name search:** Provide one or more space-separated name tokens. Each token is matched case-insensitively against both the first and last name of summary authors. All tokens must match (AND logic), so more tokens narrow the results.

**ID search:** If the value is a numeric integer, it is interpreted as the author's ID and an exact match is performed.

### Example

{% tabs %}
{% tab title="URL — name search (one token)" %}

```
https://clearinghouse.net/api/v2p1/cases?summary_author=schlanger
```

{% endtab %}

{% tab title="URL -- name search (Multiple tokens)" %}

```
https://clearinghouse.net/api/v2p1/cases?summary_author=margo+schlanger
```

{% endtab %}

{% tab title="URL — ID search" %}

```
https://clearinghouse.net/api/v2p1/cases?summary_author=21900
```

{% endtab %}

{% tab title="python" %}

```python
import requests

# Name search
url = "https://clearinghouse.net/api/v2p1/cases?summary_author=schlanger+margo"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2p1/endpoints/summary-author.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
